
Foreman - Bug #33330

undefined method `key?' for :template_kind:Symbol

08/24/2021 08:10 AM - Thomas Lau

Status: Rejected   

Priority: Urgent   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

when I click "Provision templates" on the web UI, I got this message:

Oops, we're sorry but something went wrong undefined method `key?' for :template_kind:Symbol

System version:

Distributor ID: Ubuntu

Description:    Ubuntu 20.04.3 LTS

Release:        20.04

Codename:       focal

Error log:

2021-08-24T08:02:21 [I|app|bf57cef4] Started GET "/templates/provisioning_templates" for 10.20.11.101 at 2021-08-24 08:02:21

+0000

2021-08-24T08:02:21 [I|app|bf57cef4] Processing by ProvisioningTemplatesController#index as HTML

2021-08-24T08:02:21 [W|app|bf57cef4] undefined method `key?' for :template_kind:Symbol

2021-08-24T08:02:21 [I|app|bf57cef4] Backtrace for 'undefined method `key?' for :template_kind:Symbol' error (NoMethodError):

undefined method `key?' for :template_kind:Symbol

bf57cef4 |

/usr/share/foreman/vendor/ruby/2.7.0/gems/foreman_puppet-1.0.0.rc.1/app/models/concerns/foreman_puppet/extensions/provisionin

g_template.rb:49:in `block in template_includes'

bf57cef4 |

/usr/share/foreman/vendor/ruby/2.7.0/gems/foreman_puppet-1.0.0.rc.1/app/models/concerns/foreman_puppet/extensions/provisionin

g_template.rb:49:in `each'

bf57cef4 |

/usr/share/foreman/vendor/ruby/2.7.0/gems/foreman_puppet-1.0.0.rc.1/app/models/concerns/foreman_puppet/extensions/provisionin

g_template.rb:49:in `detect'

bf57cef4 |

/usr/share/foreman/vendor/ruby/2.7.0/gems/foreman_puppet-1.0.0.rc.1/app/models/concerns/foreman_puppet/extensions/provisionin

g_template.rb:49:in `template_includes'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/activerecord-6.0.3.7/lib/active_record/relation/delegation.rb:107:in

`public_send'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/activerecord-6.0.3.7/lib/active_record/relation/delegation.rb:107:in `block in

method_missing'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/activerecord-6.0.3.7/lib/active_record/relation.rb:407:in `block in scoping'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/activerecord-6.0.3.7/lib/active_record/relation.rb:784:in `_scoping'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/activerecord-6.0.3.7/lib/active_record/relation.rb:407:in `scoping'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/activerecord-6.0.3.7/lib/active_record/relation/delegation.rb:107:in

`method_missing'

bf57cef4 | /usr/share/foreman/app/controllers/templates_controller.rb:15:in `index'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/actionpack-6.0.3.7/lib/action_controller/metal/basic_implicit_render.rb:6:in

`send_action'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/actionpack-6.0.3.7/lib/abstract_controller/base.rb:195:in `process_action'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/actionpack-6.0.3.7/lib/action_controller/metal/rendering.rb:30:in

`process_action'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/actionpack-6.0.3.7/lib/abstract_controller/callbacks.rb:42:in `block in

process_action'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/activesupport-6.0.3.7/lib/active_support/callbacks.rb:112:in `block in
run_callbacks'

bf57cef4 | /usr/share/foreman/app/controllers/concerns/foreman/controller/timezone.rb:10:in `set_timezone'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/activesupport-6.0.3.7/lib/active_support/callbacks.rb:121:in `block in

run_callbacks'

bf57cef4 | /usr/share/foreman/app/models/concerns/foreman/thread_session.rb:32:in `clear_thread'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/activesupport-6.0.3.7/lib/active_support/callbacks.rb:121:in `block in

run_callbacks'

bf57cef4 | /usr/share/foreman/app/controllers/concerns/foreman/controller/topbar_sweeper.rb:12:in `set_topbar_sweeper_controller'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/activesupport-6.0.3.7/lib/active_support/callbacks.rb:121:in `block in

run_callbacks'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/audited-4.10.0/lib/audited/sweeper.rb:14:in `around'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/activesupport-6.0.3.7/lib/active_support/callbacks.rb:121:in `block in

run_callbacks'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/audited-4.10.0/lib/audited/sweeper.rb:14:in `around'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/activesupport-6.0.3.7/lib/active_support/callbacks.rb:121:in `block in

run_callbacks'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/activesupport-6.0.3.7/lib/active_support/callbacks.rb:139:in `run_callbacks'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/actionpack-6.0.3.7/lib/abstract_controller/callbacks.rb:41:in `process_action'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/actionpack-6.0.3.7/lib/action_controller/metal/rescue.rb:22:in `process_action'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/actionpack-6.0.3.7/lib/action_controller/metal/instrumentation.rb:33:in `block in

process_action'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/activesupport-6.0.3.7/lib/active_support/notifications.rb:180:in `block in

instrument'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/activesupport-6.0.3.7/lib/active_support/notifications/instrumenter.rb:24:in

`instrument'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/activesupport-6.0.3.7/lib/active_support/notifications.rb:180:in `instrument'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/actionpack-6.0.3.7/lib/action_controller/metal/instrumentation.rb:32:in

`process_action'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/actionpack-6.0.3.7/lib/action_controller/metal/params_wrapper.rb:245:in

`process_action'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/activerecord-6.0.3.7/lib/active_record/railties/controller_runtime.rb:27:in

`process_action'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/actionpack-6.0.3.7/lib/abstract_controller/base.rb:136:in `process'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/actionview-6.0.3.7/lib/action_view/rendering.rb:39:in `process'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/actionpack-6.0.3.7/lib/action_controller/metal.rb:190:in `dispatch'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/actionpack-6.0.3.7/lib/action_controller/metal.rb:254:in `dispatch'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/actionpack-6.0.3.7/lib/action_dispatch/routing/route_set.rb:50:in `dispatch'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/actionpack-6.0.3.7/lib/action_dispatch/routing/route_set.rb:33:in `serve'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/actionpack-6.0.3.7/lib/action_dispatch/journey/router.rb:49:in `block in serve'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/actionpack-6.0.3.7/lib/action_dispatch/journey/router.rb:32:in `each'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/actionpack-6.0.3.7/lib/action_dispatch/journey/router.rb:32:in `serve'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/actionpack-6.0.3.7/lib/action_dispatch/routing/route_set.rb:834:in `call'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/apipie-dsl-2.4.0/lib/apipie_dsl/static_dispatcher.rb:67:in `call'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/apipie-rails-0.5.19/lib/apipie/static_dispatcher.rb:66:in `call'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/apipie-rails-0.5.19/lib/apipie/extractor/recorder.rb:137:in `call'

bf57cef4 | /usr/share/foreman/lib/foreman/middleware/telemetry.rb:10:in `call'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/apipie-rails-0.5.19/lib/apipie/middleware/checksum_in_headers.rb:27:in `call'

bf57cef4 | /usr/share/foreman/lib/foreman/middleware/catch_json_parse_errors.rb:9:in `call'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/rack-2.2.3/lib/rack/tempfile_reaper.rb:15:in `call'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/rack-2.2.3/lib/rack/etag.rb:27:in `call'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/rack-2.2.3/lib/rack/conditional_get.rb:27:in `call'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/rack-2.2.3/lib/rack/head.rb:12:in `call'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/actionpack-6.0.3.7/lib/action_dispatch/http/content_security_policy.rb:18:in

`call'

bf57cef4 | /usr/share/foreman/lib/foreman/middleware/logging_context_session.rb:22:in `call'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/rack-2.2.3/lib/rack/session/abstract/id.rb:266:in `context'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/rack-2.2.3/lib/rack/session/abstract/id.rb:260:in `call'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/actionpack-6.0.3.7/lib/action_dispatch/middleware/cookies.rb:648:in `call'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/actionpack-6.0.3.7/lib/action_dispatch/middleware/callbacks.rb:27:in `block in

call'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/activesupport-6.0.3.7/lib/active_support/callbacks.rb:101:in `run_callbacks'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/actionpack-6.0.3.7/lib/action_dispatch/middleware/callbacks.rb:26:in `call'

bf57cef4 |

/usr/share/foreman/vendor/ruby/2.7.0/gems/actionpack-6.0.3.7/lib/action_dispatch/middleware/actionable_exceptions.rb:18:in `call'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/actionpack-6.0.3.7/lib/action_dispatch/middleware/debug_exceptions.rb:32:in

`call'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/actionpack-6.0.3.7/lib/action_dispatch/middleware/show_exceptions.rb:33:in
`call'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/railties-6.0.3.7/lib/rails/rack/logger.rb:37:in `call_app'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/railties-6.0.3.7/lib/rails/rack/logger.rb:28:in `call'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/sprockets-rails-3.2.2/lib/sprockets/rails/quiet_assets.rb:13:in `call'

bf57cef4 | /usr/share/foreman/lib/foreman/middleware/logging_context_request.rb:11:in `call'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/actionpack-6.0.3.7/lib/action_dispatch/middleware/remote_ip.rb:81:in `call'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/actionpack-6.0.3.7/lib/action_dispatch/middleware/request_id.rb:27:in `call'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/rack-2.2.3/lib/rack/method_override.rb:24:in `call'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/rack-2.2.3/lib/rack/runtime.rb:22:in `call'

bf57cef4 |

/usr/share/foreman/vendor/ruby/2.7.0/gems/activesupport-6.0.3.7/lib/active_support/cache/strategy/local_cache_middleware.rb:29:in

`call'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/actionpack-6.0.3.7/lib/action_dispatch/middleware/executor.rb:14:in `call'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/actionpack-6.0.3.7/lib/action_dispatch/middleware/static.rb:126:in `call'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/rack-2.2.3/lib/rack/sendfile.rb:110:in `call'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/actionpack-6.0.3.7/lib/action_dispatch/middleware/host_authorization.rb:76:in

`call'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/secure_headers-6.3.2/lib/secure_headers/middleware.rb:11:in `call'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/railties-6.0.3.7/lib/rails/engine.rb:527:in `call'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/railties-6.0.3.7/lib/rails/railtie.rb:190:in `public_send'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/railties-6.0.3.7/lib/rails/railtie.rb:190:in `method_missing'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/rack-2.2.3/lib/rack/urlmap.rb:74:in `block in call'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/rack-2.2.3/lib/rack/urlmap.rb:58:in `each'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/rack-2.2.3/lib/rack/urlmap.rb:58:in `call'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/puma-5.4.0/lib/puma/configuration.rb:249:in `call'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/puma-5.4.0/lib/puma/request.rb:77:in `block in handle_request'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/puma-5.4.0/lib/puma/thread_pool.rb:340:in `with_force_shutdown'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/puma-5.4.0/lib/puma/request.rb:76:in `handle_request'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/puma-5.4.0/lib/puma/server.rb:440:in `process_client'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/puma-5.4.0/lib/puma/thread_pool.rb:147:in `block in spawn_thread'

bf57cef4 | /usr/share/foreman/vendor/ruby/2.7.0/gems/logging-2.3.0/lib/logging/diagnostic_context.rb:474:in `block in

create_with_logging_context'

2021-08-24T08:02:21 [I|app|bf57cef4]   Rendering common/500.html.erb within layouts/application

2021-08-24T08:02:21 [I|app|bf57cef4]   Rendered common/500.html.erb within layouts/application (Duration: 1.5ms | Allocations:

687)

2021-08-24T08:02:21 [I|app|bf57cef4]   Rendered layouts/_application_content.html.erb (Duration: 0.1ms | Allocations: 33)

2021-08-24T08:02:21 [I|app|bf57cef4]   Rendering layouts/base.html.erb

2021-08-24T08:02:21 [I|app|bf57cef4]   Rendered layouts/base.html.erb (Duration: 3.3ms | Allocations: 1280)

2021-08-24T08:02:21 [I|app|bf57cef4] Completed 500 Internal Server Error in 45ms (Views: 8.2ms | ActiveRecord: 2.1ms |

Allocations: 17855)

Foreman version: 3.0.0-rc1

Plugins:

- foreman_puppet 1.0.0.rc.1

History

#1 - 08/24/2021 09:17 AM - Thomas Lau

Found the solution by manually patching it,

https://github.com/theforeman/foreman_puppet/commit/fa0d3826199d81edfefdbf5512dd4739f189b501

#2 - 08/24/2021 10:27 AM - Thomas Lau

After the patching stated above, found another issue when I tried to resolve the template on the host section,

2021-08-24T10:23:24 [W|app|a53c608d] undefined method `find_template' for ForemanPuppet::Extensions::ProvisioningTemplate:Module

2021-08-24T10:23:24 [I|app|a53c608d] Backtrace for 'undefined method `find_template' for

ForemanPuppet::Extensions::ProvisioningTemplate:Module' error (NoMethodError): undefined method `find_template' for

ForemanPuppet::Extensions::ProvisioningTemplate:Module

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/foreman_puppet-1.0.0.rc.1/app/models/concerns/foreman_puppet/extensions/host.rb:85:in

`block in available_template_kinds'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/activerecord-6.0.3.7/lib/active_record/relation/delegation.rb:87:in `each'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/activerecord-6.0.3.7/lib/active_record/relation/delegation.rb:87:in `each'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/foreman_puppet-1.0.0.rc.1/app/models/concerns/foreman_puppet/extensions/host.rb:84:in

`map'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/foreman_puppet-1.0.0.rc.1/app/models/concerns/foreman_puppet/extensions/host.rb:84:in

`available_template_kinds'

a53c608d | /usr/share/foreman/app/controllers/hosts_controller.rb:595:in `template_used'
a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/actionpack-6.0.3.7/lib/action_controller/metal/basic_implicit_render.rb:6:in `send_action'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/actionpack-6.0.3.7/lib/abstract_controller/base.rb:195:in `process_action'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/actionpack-6.0.3.7/lib/action_controller/metal/rendering.rb:30:in `process_action'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/actionpack-6.0.3.7/lib/abstract_controller/callbacks.rb:42:in `block in process_action'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/activesupport-6.0.3.7/lib/active_support/callbacks.rb:112:in `block in run_callbacks'

a53c608d | /usr/share/foreman/app/controllers/concerns/foreman/controller/timezone.rb:10:in `set_timezone'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/activesupport-6.0.3.7/lib/active_support/callbacks.rb:121:in `block in run_callbacks'

a53c608d | /usr/share/foreman/app/models/concerns/foreman/thread_session.rb:32:in `clear_thread'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/activesupport-6.0.3.7/lib/active_support/callbacks.rb:121:in `block in run_callbacks'

a53c608d | /usr/share/foreman/app/controllers/concerns/foreman/controller/topbar_sweeper.rb:12:in `set_topbar_sweeper_controller'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/activesupport-6.0.3.7/lib/active_support/callbacks.rb:121:in `block in run_callbacks'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/audited-4.10.0/lib/audited/sweeper.rb:14:in `around'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/activesupport-6.0.3.7/lib/active_support/callbacks.rb:121:in `block in run_callbacks'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/audited-4.10.0/lib/audited/sweeper.rb:14:in `around'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/activesupport-6.0.3.7/lib/active_support/callbacks.rb:121:in `block in run_callbacks'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/activesupport-6.0.3.7/lib/active_support/callbacks.rb:139:in `run_callbacks'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/actionpack-6.0.3.7/lib/abstract_controller/callbacks.rb:41:in `process_action'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/actionpack-6.0.3.7/lib/action_controller/metal/rescue.rb:22:in `process_action'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/actionpack-6.0.3.7/lib/action_controller/metal/instrumentation.rb:33:in `block in

process_action'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/activesupport-6.0.3.7/lib/active_support/notifications.rb:180:in `block in instrument'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/activesupport-6.0.3.7/lib/active_support/notifications/instrumenter.rb:24:in `instrument'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/activesupport-6.0.3.7/lib/active_support/notifications.rb:180:in `instrument'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/actionpack-6.0.3.7/lib/action_controller/metal/instrumentation.rb:32:in `process_action'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/actionpack-6.0.3.7/lib/action_controller/metal/params_wrapper.rb:245:in `process_action'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/activerecord-6.0.3.7/lib/active_record/railties/controller_runtime.rb:27:in `process_action'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/actionpack-6.0.3.7/lib/abstract_controller/base.rb:136:in `process'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/actionview-6.0.3.7/lib/action_view/rendering.rb:39:in `process'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/actionpack-6.0.3.7/lib/action_controller/metal.rb:190:in `dispatch'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/actionpack-6.0.3.7/lib/action_controller/metal.rb:254:in `dispatch'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/actionpack-6.0.3.7/lib/action_dispatch/routing/route_set.rb:50:in `dispatch'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/actionpack-6.0.3.7/lib/action_dispatch/routing/route_set.rb:33:in `serve'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/actionpack-6.0.3.7/lib/action_dispatch/journey/router.rb:49:in `block in serve'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/actionpack-6.0.3.7/lib/action_dispatch/journey/router.rb:32:in `each'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/actionpack-6.0.3.7/lib/action_dispatch/journey/router.rb:32:in `serve'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/actionpack-6.0.3.7/lib/action_dispatch/routing/route_set.rb:834:in `call'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/apipie-dsl-2.4.0/lib/apipie_dsl/static_dispatcher.rb:67:in `call'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/apipie-rails-0.5.19/lib/apipie/static_dispatcher.rb:66:in `call'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/apipie-rails-0.5.19/lib/apipie/extractor/recorder.rb:137:in `call'

a53c608d | /usr/share/foreman/lib/foreman/middleware/telemetry.rb:10:in `call'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/apipie-rails-0.5.19/lib/apipie/middleware/checksum_in_headers.rb:27:in `call'

a53c608d | /usr/share/foreman/lib/foreman/middleware/catch_json_parse_errors.rb:9:in `call'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/rack-2.2.3/lib/rack/tempfile_reaper.rb:15:in `call'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/rack-2.2.3/lib/rack/etag.rb:27:in `call'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/rack-2.2.3/lib/rack/conditional_get.rb:40:in `call'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/rack-2.2.3/lib/rack/head.rb:12:in `call'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/actionpack-6.0.3.7/lib/action_dispatch/http/content_security_policy.rb:18:in `call'

a53c608d | /usr/share/foreman/lib/foreman/middleware/logging_context_session.rb:22:in `call'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/rack-2.2.3/lib/rack/session/abstract/id.rb:266:in `context'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/rack-2.2.3/lib/rack/session/abstract/id.rb:260:in `call'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/actionpack-6.0.3.7/lib/action_dispatch/middleware/cookies.rb:648:in `call'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/actionpack-6.0.3.7/lib/action_dispatch/middleware/callbacks.rb:27:in `block in call'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/activesupport-6.0.3.7/lib/active_support/callbacks.rb:101:in `run_callbacks'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/actionpack-6.0.3.7/lib/action_dispatch/middleware/callbacks.rb:26:in `call'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/actionpack-6.0.3.7/lib/action_dispatch/middleware/actionable_exceptions.rb:18:in `call'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/actionpack-6.0.3.7/lib/action_dispatch/middleware/debug_exceptions.rb:32:in `call'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/actionpack-6.0.3.7/lib/action_dispatch/middleware/show_exceptions.rb:33:in `call'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/railties-6.0.3.7/lib/rails/rack/logger.rb:37:in `call_app'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/railties-6.0.3.7/lib/rails/rack/logger.rb:28:in `call'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/sprockets-rails-3.2.2/lib/sprockets/rails/quiet_assets.rb:13:in `call'

a53c608d | /usr/share/foreman/lib/foreman/middleware/logging_context_request.rb:11:in `call'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/actionpack-6.0.3.7/lib/action_dispatch/middleware/remote_ip.rb:81:in `call'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/actionpack-6.0.3.7/lib/action_dispatch/middleware/request_id.rb:27:in `call'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/rack-2.2.3/lib/rack/method_override.rb:24:in `call'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/rack-2.2.3/lib/rack/runtime.rb:22:in `call'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/activesupport-6.0.3.7/lib/active_support/cache/strategy/local_cache_middleware.rb:29:in `call'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/actionpack-6.0.3.7/lib/action_dispatch/middleware/executor.rb:14:in `call'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/actionpack-6.0.3.7/lib/action_dispatch/middleware/static.rb:126:in `call'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/rack-2.2.3/lib/rack/sendfile.rb:110:in `call'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/actionpack-6.0.3.7/lib/action_dispatch/middleware/host_authorization.rb:76:in `call'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/secure_headers-6.3.2/lib/secure_headers/middleware.rb:11:in `call'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/railties-6.0.3.7/lib/rails/engine.rb:527:in `call'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/railties-6.0.3.7/lib/rails/railtie.rb:190:in `public_send'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/railties-6.0.3.7/lib/rails/railtie.rb:190:in `method_missing'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/rack-2.2.3/lib/rack/urlmap.rb:74:in `block in call'
a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/rack-2.2.3/lib/rack/urlmap.rb:58:in `each'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/rack-2.2.3/lib/rack/urlmap.rb:58:in `call'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/puma-5.4.0/lib/puma/configuration.rb:249:in `call'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/puma-5.4.0/lib/puma/request.rb:77:in `block in handle_request'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/puma-5.4.0/lib/puma/thread_pool.rb:340:in `with_force_shutdown'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/puma-5.4.0/lib/puma/request.rb:76:in `handle_request'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/puma-5.4.0/lib/puma/server.rb:440:in `process_client'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/puma-5.4.0/lib/puma/thread_pool.rb:147:in `block in spawn_thread'

a53c608d | /usr/share/foreman/vendor/ruby/2.7.0/gems/logging-2.3.0/lib/logging/diagnostic_context.rb:474:in `block in create_with_logging_context'

2021-08-24T10:23:24 [I|app|a53c608d]   Rendering common/500.html.erb

2021-08-24T10:23:24 [I|app|a53c608d]   Rendered common/500.html.erb (Duration: 0.4ms | Allocations: 361)

2021-08-24T10:23:24 [I|app|a53c608d] Completed 500 Internal Server Error in 21ms (Views: 0.8ms | ActiveRecord: 1.6ms | Allocations: 17484)

#3 - 08/30/2021 12:37 PM - Tomer Brisker

- Status changed from New to Rejected

Looks like these are issues in the puppet plugin, please report them at https://github.com/theforeman/foreman_puppet/issues
